<?php
require_once('configNonauth.inc'); 
require_once(CORE_PATH . 'langHeader.inc'); 
require_once(LIB_PATH . 'Page.inc'); 
require_once(LIB_PATH . 'HtmlElements.inc'); 
require_once(CORE_PATH . 'common.inc'); 
require_once(CORE_PATH . 'browser.inc'); 
$x_oe = ''; 
$x_7x = kerio("webiface::PhpNonAuth"); 
$x_7x->getAsocUserName(&$x_oe, &$x_la); 
$x_33 = new x_4n(); 
header("X-Kerio-Filter: translate-webiface=" . $x_33->x_8f()); 
$x_9y = urldecode($_GET["dest"]); 
$x_of = ''; 
$x_of = intval($_GET["internal"]); 
if ("0" == $_GET["NTLM"]) { 
$x_og = 0; 
} else { 
$x_og = 1; 
} 
$x_5d = x_5d(); 
$x_oh = $x_7x->ntlmEnabled(); 
$x_oi = 0; 
if (1 == $x_og && 1 == $x_5d && 1 == $x_oh) { 
$x_oi = 1; 
} 
if (1 == $x_oi) { 
$x_oj = (trim($x_9y) != '') ? ('dest=' . urlencode($x_9y) . '&') : ''; 
$x_1w = '<div id="freeSpace"></div>' . 
'<table id="contentTable">


					<tr><td align="center">' . 
'<div class="redir">' . 
'<kerio:text id="login-redirect"/>' . 
'<br><kerio:text id="login-redirect2"/> <a href="login.php?NTLM=0&' 
. $x_oj . 'internal=' . $x_of . '"><kerio:text id="login-redirect-link"/></a>' . 
'</div>' . 
'</td></tr></table>'; 
$x_v = new x_w('Kerio WinRoute Firewall - <kerio:text id="lang_login_page" />'); 
$x_v->x_iw = '<meta HTTP-EQUIV="Refresh" content="0;URL=/internal/ntlm/dologin.php?' . $x_oj . 'internal=' . $x_of . '">'; 
$x_v->x_a(Array(STYLE_PATH . 'bodyNonauth.css', STYLE_PATH . 'common.css', STYLE_PATH . 'mainNonauth.css')); 
$x_v->x_1o($x_1w); 
$x_v->x_y(); 
} else { 
$x_go = ''; 
$x_1 = kerio("webiface::PhpSession"); 
if (!is_object($x_1)) { 
$x_ok = 0; 
} else { 
$x_ok = 1; 
$x_1->getCsrf(&$x_go); 
} 
if (array_key_exists('fail', $_GET)) { 
$x_ol = 1; 
} else { 
$x_ol = 0; 
} 
if (!empty($x_9y) && 0 == $x_of) { 
if (0 == $x_o9) { 
$x_om = 'web'; 
} 
} else { 
if (!empty($x_oe)) { 
$x_om = 'unlock'; 
} else { 
$x_om = 'common'; 
} 
} 
$x_7x->getCsrf(&$x_gn); 
$x_53 = Array( 'dest' => $x_9y, 
'fail' => $x_ol, 
'internal' => $x_of, 
'asocname' => $x_oe, 
'ses' => $x_ok, 
'nonauthToken' => $x_gn, 
'sessionToken' => $x_go); 
$x_37 = ''; 
switch ($x_om) { 
case 'web': 
$x_37 = 'loginWeb'; 
$x_on = 'kerio_username'; 
break; 
case 'unlock': 
$x_37 = 'loginUnlock'; 
$x_on = 'kerio_password'; 
break; 
case 'common': 
$x_37 = 'loginCommon'; 
$x_on = 'kerio_username'; 
break; 
} 
$x_1w = x_52($x_37, $x_6, $x_53); 
if (!empty($x_37)) { 
$x_4y = x_4y(); 
$x_v = new x_w('<kerio:text id="lang_login_page" />', ($x_4y ? '' : 'onLoad="x_oo(\'' . $x_on . '\')"')); 
$x_v->x_a($x_4y ? Array() : $x_a); 
$x_v->x_b($x_4y ? Array() : $x_b); 
$x_v->x_1o($x_1w); 
$x_v->x_y(); 
} 
} 
?>
